org.apache.poi.hslf.usermodel

## Class HSLFMasterSheet

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFSheet
  - - org.apache.poi.hslf.usermodel.HSLFMasterSheet

- All Implemented Interfaces:
    java.lang.Iterable<HSLFShape>, HSLFShapeContainer, MasterSheet<HSLFShape,HSLFTextParagraph>, ShapeContainer<HSLFShape,HSLFTextParagraph>, Sheet<HSLFShape,HSLFTextParagraph>
  Direct Known Subclasses:
    HSLFSlideMaster, HSLFTitleMaster

      public abstract class HSLFMasterSheet
      extends HSLFSheet
      implements MasterSheet<HSLFShape,HSLFTextParagraph>

  The superclass of all master sheets - Slide masters, Notes masters, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFMasterSheet(SheetContainer container, int sheetNo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract TextPropCollection` | `getPropCollection(int txtype, int level, java.lang.String name, boolean isCharacter)` Find the master collection for the given txtype/level/name.
    `static boolean` | `isPlaceholder(HSLFShape shape)` Deprecated. use `SimpleShape.isPlaceholder()`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSheet

      `_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, draw, getBackground, getColorScheme, getFollowMasterGraphics, getHeadersFooters, getMasterSheet, getPlaceholder, getPlaceholderByTextType, getPlaceholderDetails, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, getTextParagraphs, iterator, onAddTextShape, onCreate, removeShape, setSlideShow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.MasterSheet

      `getPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getMasterSheet, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### HSLFMasterSheet

          public HSLFMasterSheet(SheetContainer container,
                                 int sheetNo)

  - ### Method Detail

    - #### getPropCollection

          public abstract TextPropCollection getPropCollection(int txtype,
                                                               int level,
                                                               java.lang.String name,
                                                               boolean isCharacter)

      Find the master collection for the given txtype/level/name. This is the "workhorse" which returns the default style attributes. If `name = "*"` return the current collection, otherwise if the name is not found in the current selection of txtype/level/name, first try lower levels then try parent types, if it wasn't found there return `null`.
      Parameters:
        `txtype` - the `TextHeaderAtom` type
        `level` - the indent level of the paragraph, if the level is not defined for the found collection, the highest existing level will be used
        `name` - the property name,
        `isCharacter` - if `true` use character styles, otherwise use paragraph styles

    - #### isPlaceholder

          @Deprecated
           @Removal(version="4.1.0")
          public static boolean isPlaceholder(HSLFShape shape)

      Deprecated. use `SimpleShape.isPlaceholder()`
      Checks if the shape is a placeholder. (placeholders aren't normal shapes, they are visible only in the Edit Master mode)
      Returns:
        true if the shape is a placeholder

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.